Bug 5577 - In default configuration spamassassin can't use bayesian database normally
: In default configuration spamassassin can't use bayesian database normally
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/perl-Mail-SpamAssassin)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-11-28 21:36 by
Modified: 2007-11-16 12:49 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-11-28 21:36:28
В дефолтном конфиге спамассассина
bayes_file_mode 0775
, демон запускается от root (при этом в /etc/sysconfig/spamd нет явного указания --
username=root). Выдержка из мана:
       -u username, --username=username
           Run as the named user.  If this option is not set, the default be-
           haviour is to setuid() to the user running "spamc", if "spamd" is
           running as root.

Т.о. если локальная доставка производится например procmail-ом с опцией -d, spamassassin 
не сможет нормально работать с байесовской базой и не будет работать autolearn.
------- Comment #1 From 2004-12-08 15:14:42 -------
Такое ощущение, что конфигурация по умолчанию пакета perl-Mail-SpamAssassin
рассчитана в первую очередь не на персональное использование.

Я бы предпочёл, чтобы файл /etc/mail/spamassassin/local.cf был пустым.
------- Comment #2 From 2006-09-28 23:06:28 -------
#7371?
------- Comment #3 From 2006-09-29 10:31:32 -------
force@ на бугзиллу вообще не реагирует, похоже.
------- Comment #4 From 2007-04-07 20:55:17 -------
Прошлой осенью были проблемы с доставкой почтовых уведомлений от bugzilla.

По сути дела что-нибудь изменилось?
------- Comment #5 From 2007-04-10 19:16:32 -------
(In reply to comment #4)
> Прошлой осенью были проблемы с доставкой почтовых уведомлений от bugzilla.

Просмотр полученных уведомлений показал, что не только прошлой осенью, но и до
того тоже... Впрочем, не суть важно.

> По сути дела что-нибудь изменилось?

По сути, я не рассматриваю изложенную в багрепорте ситуацию как ошибку (или
недостаток текущих дефолтных настроек), которую нужно как-то исправлять. К
слову, наши настройки в разрезе этого багрепорта ничем не отличаются от таковых
во всех других просмотренных мною дистрибутивах.

Современные стандарты обработки почты предусматривают content scanning на стадии
SMTP-протокола. Иначе говоря, spamassassin (как и clamav) должен включаться в
тот момент, когда после DATA получено собственно тело письма, но до того
момента, как принимающий сервер отвечает 2xx или 5xx. Только так можно выполнить
корректный reject предположительно спамового или вирусного письма, а не
генерировать впоследствии bounce на практически всегда поддельного отправителя.

В любом случае отсрочка content scanning'а на момент локальной доставки - это
атавизм. Не думаю, что обеспечение такого режима работы имеет хоть какой-то смысл.
------- Comment #6 From 2007-04-17 18:24:58 -------
Соответственно, WONTFIX. Если нет комментариев, предлагаю закрыть.